//design js
export default{
  data(){
    return {
      pagedata:{}
    };
  },
  mounted(){
    onez.data(this,['pagedata']);
  },
  methods:{
    remote(ac){
      this.post({ac:ac},(res)=>{
        console.log(res);
        if(res.error){
          onez.alert(res.error);
        }else if(res.url){
          location.href=res.url;
        }else{
          onez.doit(res);
        }
      },this);
    }
  }
}
